#include<stdio.h>
#include<math.h>


double x;
double y;
double angle; /// in degrees

FILE *f;

void move(double len=1)
{
    x = x + len * cos(angle / 180.0 * M_PI);
    y += len * sin(angle / 180.0 * M_PI);
    if (f != NULL)
       fprintf(f, "%f %f\n",x,y);
}

void turn(double by)
{
    angle += by;
    // this is completely unneeded, but might be nice for debugging and is a common pattern
    // it is only efficient when you are doing moderate turns. For massive turns (e.g., angle=10e9) this
    // will be long loops.
    while(angle > 360.0) angle -= 360;
    while (angle < 0) angle += 360; 
}


int main()
{
   f = fopen("plot.dat","w"); // this will overwrite
   if (f == 0) {
      perror("File Problem: ");
      exit(-1);
   }

   // init the turtle
   x = y=angle=0;
   // do some turtle graphics (this is a star, is it?)
   for(int i=0; i < 100; i++){
      move(100);
      turn(179 );
   }
      fclose(f);
   
   return 0;

}
